<Project Sdk="Microsoft.NET.Sdk.WindowsDesktop">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFrameworks>net9-windows;</TargetFrameworks>
    <UseWPF>true</UseWPF>
    <Nullable>enable</Nullable>
  </PropertyGroup>
  <ItemGroup>
    <None Remove="leet swagger.txt" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="leet swagger.txt">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="LiteDB" Version="5.0.21" />
    <PackageReference Include="Microsoft.CodeAnalysis.CSharp" Version="4.14.0" />
    <PackageReference Include="NSwag.CodeGeneration.CSharp" Version="14.5.0" />
    <PackageReference Include="NSwag.Core" Version="14.5.0" />
    <PackageReference Include="StringMath" Version="4.1.3" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Nodify\Nodify.csproj" />
    <ProjectReference Include="..\Nodify.Shared\Nodify.Shared.csproj" />
  </ItemGroup>
  
</Project>
